On Tue, Aug 21, 2007, Stefan Rusterholz wrote:
> Why not just a corrected version of an earlier statement?
> begin require 'rubygems' rescue LoadError; end
> require 'allofyourstuff'

Two reasons: first, my option only requires rubygems if it is necessary
to load the libraries.  This is valuable because of the second reason,
namely that in our environment many libraries are installed in the
"traditional" way on our servers, so there's no need to require
rubygems.

In my personal projects, I use the rescue version.  I was just giving
Bil another option.

Ben